Skip to main content
`Ctrl`+`K`

# TSAdaptView

Prints the `TSAdapt` data structure.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptView(TSAdapt adapt, PetscViewer viewer)

Collective

## Input Parameters

- adapt - the `TSAdapt` context obtained from `TSGetAdapt()`

- viewer - visualization context

## Options Database Key

- -ts_view - calls `TSView()` at end of `TSStep()`

## Notes

This is called by `TSView()` so rarely called directly.

The available visualization contexts include

- `PETSC_VIEWER_STDOUT_SELF` - standard output (default)

- `PETSC_VIEWER_STDOUT_WORLD` - synchronized standard output where only the first processor opens the file. All other processes send their data to the first process to print.

The user can open an alternative visualization context with `PetscViewerASCIIOpen()` - output to a specified file.

In the debugger you can do call `TSAdaptView`(adapt,0) to display the `TSAdapt`. (The same holds for any PETSc object viewer).

## See Also

TS: Scalable ODE and DAE Solvers, Error control via variable time-stepping, `TSAdapt`, `TSView()`, `PetscViewer`, `PetscViewerASCIIOpen()`

## Level

advanced

## Location

src/ts/adapt/interface/tsadapt.c

## Implementations

TSAdaptView_DSP() in src/ts/adapt/impls/dsp/adaptdsp.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages